## Changelog

This changelog tracks changes to the Brex API and is updated periodically. Updates to the API are on a rolling basis and not on any defined schedule.

### April 2026

* MCP Server (Beta): Launched the [Brex MCP server](/docs/mcp). Connect AI assistants like Claude, ChatGPT, Cursor, and Codex to your Brex account. Query expenses, look up users, check card statuses, and more through natural language. Supports OAuth and API key authentication.
* Expenses API: Added `booking_id` field to expense objects, providing the booking ID for trip expenses.
* Expenses API: Added `spending_entity` and `policy` as expand options on the List Expenses endpoints.
* Onboarding API: Updated accepted EIN document types to include CP-575 fax sheet.


### March 2026

* Onboarding API: Added new endpoint `POST /v1/referrals/{id}/process_ein_document` for processing delayed EIN documents after upload.
* Fields API: Added `TRAVEL` field type to field definitions.
* Webhooks API: Added `ACCOUNTING_RECORD_READY_FOR_EXPORT` webhook event with schema and documentation.
* Transactions API: Added `card_transaction_operation_reference_id` field to card transaction objects.
* Team API: Updated secure endpoint URLs to new `api.brex.com` hostnames.


### February 2026

* Expenses API: Reduced maximum limit parameter from 1000 to 100 for the List Expenses endpoints.
* Updated the API documentation look and feel.


### January 2026

* Added support for new API hostnames (api.brex.com); the former hostnames will continue to work for the forseeable future.


### December 2025

* Expenses API: Added `dashboard_url` field to expense objects, providing a direct link to view expenses in the Brex dashboard.


### November 2025

* Accounting API (Alpha): Published the [Accounting API reference](/openapi/accounting_api/) so ERP partners or customers can discover and integrate with accounting data endpoints.
* Fields API (Beta): Field definition now exposes an optional `integration_id` and a new `ERP` field type. This allows API caller to associate an ERP field with specific integration.
* Webhooks API: Expanded WebhookEventType to include `ACCOUNTING_RECORD_READY_FOR_EXPORT` event type (Alpha).


### May 2025

* Cards API: Updated spend controls documentation with improved nullable property definitions.
* Fields API (alpha): Added official Fields API documentation with comprehensive endpoint specifications, including field creation, updates, and retrieval operations.
* Expenses API: Deprecated Card Expenses API endpoints in favor of consolidated Expenses API endpoints.


### April 2025

* Expenses API: Added documentation for new `payment_posted_at_start` and `payment_posted_at_end` filters in the List expenses endpoints, allowing filtering expenses by when payments were posted.


### March 2025

* Expenses API: Updated documentation with latest field additions, including improved custom fields documentation.
* Expenses API: Published new endpoints and added `spending_entity` documentation to provide better visibility into expense attribution.


### January 2025

* Budgets API: Updated spend limit creation to support `legal_entity_id` and `department_id` parameters, allowing expenses to be attributed to specific entities and departments.
* Team API: Added new endpoint to get a legal entity by ID (`GET /v2/legal_entities/{id}`).
* Repository: Updated CODEOWNERS file to reflect team-specific ownership of different API sections.


### December 2024

* Team API: The [Get card number](/openapi/team_api/#operation/getCardNumber) endpoint response object now includes the cardholder name (`holder_name`).
* Expenses API: The [List expenses](/openapi/expenses_api/#operation/listExpenses!in=query&path=updated_at_start&t=request) endpoint request now allows for filtering on the `updated_at` timestamp of expenses.


### October 2024

* Payments API: New endpoints introduced to create incoming transfers, list bank connections, manage transfers, and manage vendor information.
* Budgets API: Introduced new spend limit and budgets concepts as a new set of API endpoints (`v2`). The old [Spend Limits (v1)](/openapi/budgets_api/#tag/Spend-Limits-(v1)) API is considered deprecated.


### September 2024

* Team API: The [Get card](/openapi/team_api/#operation/getCardById) endpoint response object now returns a (`has_been_transferred`) boolean for a given card.
* Team API: The [Create card](/openapi/team_api/#operation/createCard) endpoint response object now accepts an expense policy ID (`policy_id`) boolean for a given card.
* Expenses API: The Expense object now returns an optional address (`has_been_transferred`), a payment posted date and a trip ID if relevant to the expense.


### July 2024

* Webhooks: Updated IP [whitelist](/guides/webhooks/#ip-whitelisting).


### February 2022

* Transactions API: The [List cash accounts](/openapi/transactions_api/#operation/listAccounts) endpoint response object now includes a `primary` boolean field indicating whether the cash account is the primary cash account for the Brex account. Every Brex user must have one primary cash account.
* All APIs: Added a new header for tracing with a generic name `X-Brex-Trace-Id`. Although the previous header `X-Datadog-Trace-Id` is still in use as of now, we recommend to start using `X-Brex-Trace-Id` as it is vendor-agnostic and will unlikely change overtime.
* Payments API: Added `cancellation_reason` into the Transfer response.


### January 2022

* Webhooks API: Added beta support for webhooks. View the [webhooks guide](/guides/webhooks) for how to get started and the [webhooks API reference](/openapi/webhooks_api) for supported events and how to use them.
* Team API: Added a `monthly_available` object to the responses for both the [`GET`](/openapi/team_api/#operation/getUserLimit) and [`SET`](/openapi/team_api/#operation/setUserLimit) methods for user limits


### December 2021

* Payments API: Added the ability to do book transfers between Brex Cash accounts. See `counterparty` -> `type` -> `BOOK_TRANSFER` in the request body for the [Create Transfer](/openapi/payments_api/#operation/createTransfer) endpoint


### November 2021

* Transactions API: Added endpoints to [read cash transactions](/openapi/transactions_api/#operation/listCashTransactions) and [read primary card transactions](/openapi/transactions_api/#operation/listPrimaryCardTransactions)


### October 2021

* Payments API: Added the ability to filter vendors by `name` (via encoded query param) for the [lists vendors](/openapi/payments_api/#operation/listVendors!in=query&path=name&t=request) endpoint